#
# spec file for package efl
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 1
# git builds from X11:Enlightenment:Nightly need autoreconf
%define _git %(tar -atf %{_sourcedir}/%{name}-*.tar.?z 2> /dev/null | grep -q -m1 'configure$' || echo 1)
# build doc is disabled due to #897122 once the bug is resolved it can be re enabled
%define build_doc 0
# Build doc needs to be defined for build doc man to work
%define build_doc_man 0
%define gstreamer1_present 1
%if !0%{?suse_version} || 0%{?is_opensuse}
%define physics_present 1
%endif
# Currently we don't need to build any  plugins and theres none that make
# sense to build
%define generic_players_present 0
%if 0%{?suse_version} == 1315
%define xinput22_present 0
%else
%define xinput22_present 1
%endif
%if 0%{?suse_version} == 1315
%define xinput22_present 0
%else
%define xinput22_present 1
%endif
# fedora SLEs 12 don't support xine
%if (0%{?suse_version} == 1315 || !0%{?suse_version})
%define xine_present 0
%else
%define xine_present 1
%endif
%ifarch %ix86 x86_64 %{arml} ppc
%if !0%{?suse_version} || 0%{?is_opensuse}
%define luajit_present 1
%endif
%endif
%if 0%{?is_opensuse}
%define poppler_present 1
%else
%define poppler_present 0
%endif
%if 0%{?is_opensuse}
# VLC is broken atm
%define vlc_present 0
%else
%define vlc_present 0
%endif
%if 0%{?suse_version} > 1320
%define enable_wayland 1
%endif
# Build with an alternate package names for Mageia
%if 0%{?mageia}
%ifarch x86_64
%define _bit %(getconf LONG_BIT)
%endif
%endif
# If packages are targeted for anything other than openSUSE
%{?!icon_theme_cache_create_ghost:%define icon_theme_cache_create_ghost() touch %{buildroot}%{_datadir}/icons/%1/icon-theme.cache}
%{?!icon_theme_cache_post:%define icon_theme_cache_post() gtk-update-icon-cache %{_datadir}/icons/$1 &> /dev/null || :}
Name:           efl
Version:        1.20.7
Release:        14.2
# TODO: split package to separate packages and specify licenses correctly
Summary:        Enlightenment Foundation Libraries - set of libraries used (not only) by E17
License:        BSD-2-Clause AND LGPL-2.1-only AND Zlib
Group:          Development/Libraries/C and C++
Url:            https://git.enlightenment.org/core/efl.git
Source:         %{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM bmwiedemann
Patch3:         reproducible-edje.patch
BuildRequires:  ImageMagick
BuildRequires:  autoconf >= 2.5
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  giflib-devel
BuildRequires:  glibc-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  libjpeg-devel
BuildRequires:  libraw-devel
BuildRequires:  libspectre-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  python >= 2.5
BuildRequires:  systemd
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dri)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libpng) >= 1.2.10
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(mount)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xp)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(zlib)
Recommends:     %{name}-lang
Recommends:     elua = %{version}
Provides:       ecore = %{version}
Obsoletes:      ecore < %{version}
Provides:       edje-utils = %{version}
Obsoletes:      edje-utils < %{version}
Provides:       eet = %{version}
Obsoletes:      eet < %{version}
Provides:       eeze = %{version}
Obsoletes:      eeze < %{version}
Provides:       efreet = %{version}
Obsoletes:      efreet < %{version}
Provides:       eina = %{version}
Obsoletes:      eina < %{version}
Provides:       emotion = %{version}
Obsoletes:      emotion < %{version}
Provides:       ethumb = %{version}
Obsoletes:      ethumb < %{version}
Provides:       evas = %{version}
Obsoletes:      evas < %{version}
%{?systemd_requires}
%if %{build_doc}
BuildRequires:  doxygen
%endif
%if %{poppler_present}
# boo#864299 need libpoppler-cpp0 for Leap / SLE
BuildRequires:  libpoppler-cpp0
BuildRequires:  libpoppler-devel
%endif
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
%ifarch %ix86 x86_64 ppc ppc64 ppc64le s390x armv7l armv7hl armv6l armv6hl aarch64
BuildRequires:  valgrind
%endif
%if 0%{?physics_present}
BuildRequires:  pkgconfig(bullet) >= 2.80
%endif
%if %{vlc_present}
BuildRequires:  pkgconfig(libvlc)
%endif
%if %{xine_present}
BuildRequires:  pkgconfig(libxine)
%endif
%if 0%{?luajit_present}
BuildRequires:  pkgconfig(luajit)
%else
%if 0%{?suse_version} >= 1330
BuildRequires:  pkgconfig(lua5.1)
%else
BuildRequires:  pkgconfig(lua) < 5.2
%endif
%endif
%if 0%{?enable_wayland}
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(libdrm) >= 2.4
BuildRequires:  pkgconfig(libinput) >= 0.6.0
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(wayland-client) >= 1.11.0
BuildRequires:  pkgconfig(wayland-cursor) >= 1.11.0
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.10
BuildRequires:  pkgconfig(wayland-scanner) >= 1.11.0
BuildRequires:  pkgconfig(wayland-server) >= 1.11.0
BuildRequires:  pkgconfig(xkbcommon)
%endif
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif

%description
EFL is library collection providing various functionality used (not onyl)
by Enlightenment 17, Terminology, Tizen mobile platform and much more.

%lang_package

%package %{?mageia:-n %{_lib}%{name}-}devel
Summary:        Headers, pkgconfig files and other files for development with EFL
License:        BSD-2-Clause AND LGPL-2.1-only AND Zlib
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       edje = %{version}
Requires:       embryo = %{version}
Requires:       gettext-devel
Requires:       giflib-devel
Requires:       glibc-devel
Requires:       lib%{?mageia:%{?_bit}}ecore%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}ector%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}edje%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}eet%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}eeze%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}efreet%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}efreet_mime%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}efreet_trash%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}eina%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}eio%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}eldbus%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}elementary%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}elocation%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}embryo%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}emile%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}emotion%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}eo%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}ethumb%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}ethumb_client%{sover} = %{version}
Requires:       lib%{?mageia:%{?_bit}}evas%{sover} = %{version}
Requires:       pkgconfig(dbus-1)
Requires:       pkgconfig(dri)
Requires:       pkgconfig(egl)
Requires:       pkgconfig(fontconfig)
Requires:       pkgconfig(freetype2)
Requires:       pkgconfig(fribidi)
Requires:       pkgconfig(glesv2)
Requires:       pkgconfig(glib-2.0)
Requires:       pkgconfig(harfbuzz)
Requires:       pkgconfig(libcurl)
Requires:       pkgconfig(libexif)
Requires:       pkgconfig(libpng) >= 1.2.10
Requires:       pkgconfig(libpulse)
Requires:       pkgconfig(librsvg-2.0)
Requires:       pkgconfig(libtiff-4)
Requires:       pkgconfig(libudev)
Requires:       pkgconfig(openssl)
Requires:       pkgconfig(pixman-1)
Requires:       pkgconfig(sdl)
Requires:       pkgconfig(sndfile)
Requires:       pkgconfig(x11)
Requires:       pkgconfig(xcomposite)
Requires:       pkgconfig(xcursor)
Requires:       pkgconfig(xdmcp)
Requires:       pkgconfig(xext)
Requires:       pkgconfig(xi)
Requires:       pkgconfig(xinerama)
Requires:       pkgconfig(xp)
Requires:       pkgconfig(xproto)
Requires:       pkgconfig(xrandr)
Requires:       pkgconfig(xscrnsaver)
Requires:       pkgconfig(xtst)
Requires:       pkgconfig(zlib)
Provides:       %{?mageia:%{_lib}}ecore-devel = %{version}
Provides:       %{?mageia:%{_lib}}edbus-devel = %{version}
Provides:       %{?mageia:%{_lib}}edje-devel = %{version}
Provides:       %{?mageia:%{_lib}}eet-devel = %{version}
Provides:       %{?mageia:%{_lib}}eeze-devel = %{version}
Provides:       %{?mageia:%{_lib}}efreet-devel = %{version}
Provides:       %{?mageia:%{_lib}}eina-devel = %{version}
Provides:       %{?mageia:%{_lib}}eio-devel = %{version}
Provides:       %{?mageia:%{_lib}}elementary-devel = %{version}
Provides:       %{?mageia:%{_lib}}embryo-devel = %{version}
Provides:       %{?mageia:%{_lib}}emotion-devel = %{version}
Provides:       %{?mageia:%{_lib}}emotion-generic-players-devel = %{version}
Provides:       %{?mageia:%{_lib}}eo-devel = %{version}
Provides:       %{?mageia:%{_lib}}ethumb-devel = %{version}
Provides:       %{?mageia:%{_lib}}evas-devel = %{version}
Provides:       %{?mageia:%{_lib}}evas-generic-loaders-devel = %{version}
Obsoletes:      %{?mageia:%{_lib}}ecore-devel < %{version}
Obsoletes:      %{?mageia:%{_lib}}edbus-devel < %{version}
Obsoletes:      %{?mageia:%{_lib}}edje-devel < %{version}
Obsoletes:      %{?mageia:%{_lib}}eet-devel < %{version}
Obsoletes:      %{?mageia:%{_lib}}eeze-devel < %{version}
Obsoletes:      %{?mageia:%{_lib}}efreet-devel < %{version}
Obsoletes:      %{?mageia:%{_lib}}eina-devel < %{version}
Obsoletes:      %{?mageia:%{_lib}}eio-devel < %{version}
Obsoletes:      %{?mageia:%{_lib}}elementary-devel < %{version}
Obsoletes:      %{?mageia:%{_lib}}embryo-devel < %{version}
Obsoletes:      %{?mageia:%{_lib}}emotion-devel < %{version}
Obsoletes:      %{?mageia:%{_lib}}emotion-generic-players-devel < %{version}
Obsoletes:      %{?mageia:%{_lib}}eo-devel < %{version}
Obsoletes:      %{?mageia:%{_lib}}ethumb-devel < %{version}
Obsoletes:      %{?mageia:%{_lib}}evas-devel < %{version}
Obsoletes:      %{?mageia:%{_lib}}evas-generic-loaders-devel < %{version}
%if %{xine_present}
Requires:       pkgconfig(libxine)
%endif
%if 0%{?luajit_present}
Requires:       pkgconfig(luajit)
%else
%if 0%{?suse_version} >= 1330
Requires:       pkgconfig(lua5.1)
%else
Requires:       pkgconfig(lua) < 5.2
%endif
%endif
%if %{gstreamer1_present}
Requires:       pkgconfig(gstreamer-1.0)
Requires:       pkgconfig(gstreamer-plugins-base-1.0)
%endif
%if 0%{?physics_present}
Requires:       lib%{?mageia:%{?_bit}}ephysics%{sover} = %{version}
Requires:       pkgconfig(bullet)
%endif
%if 0%{?physics_present}
Provides:       %{?mageia:%{_lib}}ephysics-devel = %{version}
Obsoletes:      %{?mageia:%{_lib}}ephysics-devel < %{version}
%endif

%description %{?mageia:-n %{_lib}%{name}-}devel
Headers, pkgconfig files and other files needed for development with EFL.

%package -n lib%{?mageia:%{?_bit}}ecore%{sover}
Summary:        Ecore, part of EFL
License:        BSD-2-Clause
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}ecore%{sover}
Ecore is a clean and tiny event loop library with many modules to do lots of
convenient things for a programmer, to save time and effort.

%package -n lib%{?mageia:%{?_bit}}ector%{sover}
Summary:        Ector, part of EFL
License:        LGPL-2.1-only
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}ector%{sover}
Ector provides a new retained rendering library that is used by Evas to
provide Evas_Object_VG. This is a new Evas_Object that provides a vector
graphics scene graph following the SVG specification. It will be considered
a bug if some behaviour does not follow the SVG standard.

Evas_Object_VG provides 3 kind of objects for now: shape, as well as linear
and radial gradients.

%package -n lib%{?mageia:%{?_bit}}edje%{sover}
Summary:        Edje, part of EFL
License:        BSD-2-Clause AND GPL-2.0-only
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}edje%{sover}
Abstract GUI layout and animation object library.

%package -n lib%{?mageia:%{?_bit}}eldbus%{sover}
Summary:        ELDbus, part of EFL
License:        LGPL-2.1-only
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}eldbus%{sover}
ELDbus is a wrapper around libdbus for the Enlightenment Foundation Libraries.

%package -n lib%{?mageia:%{?_bit}}eet%{sover}
Summary:        Eet, part of EFL
License:        BSD-2-Clause
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}eet%{sover}
Eet is a tiny library designed to write an arbitrary set of chunks of data
to a file and optionally compress each chunk (very much like a zip file)
and allow fast random-access reading of the file later on. It does not do
zip as a zip itself has more complexity than is needed, and it was much
simpler to implement this once here.

It also can encode and decode data structures in memory, as well as image
data for saving to eet files or sending across the network to other
machines, or just writing to arbitrary files on the system. All data is
encoded in a platform independent way and can be written and read by any
architecture.

%package -n lib%{?mageia:%{?_bit}}eeze%{sover}
Summary:        Eeze, part of EFL
License:        BSD-2-Clause
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}eeze%{sover}
Eeze is a library for manipulating devices through udev with a simple and
fast api. It interfaces directly with libudev, avoiding such middleman
daemons as udisks/upower or hal, to immediately gather device information
the instant it becomes known to the system.  This can be used to determine
such things as:
  * If a cdrom has a disk inserted
  * The temperature of a cpu core
  * The remaining power left in a battery
  * The current power consumption of various parts
  * Monitor in realtime the status of peripheral devices

Each of the above examples can be performed by using only a single eeze
function, as one of the primary focuses of the library is to reduce the
complexity of managing devices.

%package -n lib%{?mageia:%{?_bit}}efl%{sover}
Summary:        EFL's general purpose library
License:        LGPL-2.1-only
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}efl%{sover}
The foundation components for the Enlightenment foundation libraries.

%package -n lib%{?mageia:%{?_bit}}efreet%{sover}
Summary:        Efreet, part of EFL
License:        BSD-2-Clause
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}efreet%{sover}
Standards handling for FreeDesktop.org standards.

%package -n lib%{?mageia:%{?_bit}}efreet_mime%{sover}
Summary:        Efreet, part of EFL
License:        BSD-2-Clause
Group:          System/Libraries
Conflicts:      lib%{?mageia:%{?_bit}}efreet%{sover} < 1.8

%description -n lib%{?mageia:%{?_bit}}efreet_mime%{sover}
Standards handling for FreeDesktop.org mime types.

%package -n lib%{?mageia:%{?_bit}}efreet_trash%{sover}
Summary:        Efreet, part of EFL
License:        BSD-2-Clause
Group:          System/Libraries
Conflicts:      lib%{?mageia:%{?_bit}}efreet%{sover} < 1.8

%description -n lib%{?mageia:%{?_bit}}efreet_trash%{sover}
Standards handling for FreeDesktop.org trash.

%package -n lib%{?mageia:%{?_bit}}eina%{sover}
Summary:        Eina, part of EFL
License:        LGPL-2.1-only
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}eina%{sover}
Eina is library handling various data types.

%package -n lib%{?mageia:%{?_bit}}eio%{sover}
Summary:        Eio, part of EFL
License:        LGPL-2.1-only
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}eio%{sover}
Extension of ecore for parallel I/O operations.

%package -n lib%{?mageia:%{?_bit}}elementary%{sover}
Summary:        Elementary, part of EFL
License:        LGPL-2.1-only
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}elementary%{sover}
The core shared library for widgets.

%package -n lib%{?mageia:%{?_bit}}elocation%{sover}
Summary:        ELocation, part of EFL
License:        LGPL-2.1-only
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}elocation%{sover}
A location the shared library.

%if 0%{?enable_wayland}
%package -n lib%{?mageia:%{?_bit}}elput%{sover}
Summary:        Elput, part of EFL
License:        LGPL-2.1-only
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}elput%{sover}
Elput is a library to handle input devices.

For handling wayland input.
%endif

%package -n lib%{?mageia:%{?_bit}}elua%{sover}
Summary:        Lua bindings for the EFL
License:        LGPL-2.1-only
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}elua%{sover}
Support for lua within the efl.

%package -n lib%{?mageia:%{?_bit}}embryo%{sover}
Summary:        Embryo, part of EFL
License:        BSD-2-Clause AND Zlib
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}embryo%{sover}
Embryo is a tiny library designed to interpret limited small programs
compiled by the included compiler, embryo_cc. It is mostly a cleaned up and
smaller version of the original Small abstract machine. The compiler is
mostly untouched.

%package -n lib%{?mageia:%{?_bit}}emotion%{sover}
Summary:        Emotion, part of EFL
License:        BSD-2-Clause
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}emotion%{sover}
Emotion is a wrapper that provides a uniform api to a number of different
media libraries.

Currently the supported backends for this.

%package -n lib%{?mageia:%{?_bit}}emile%{sover}
Summary:        Emile, part of EFL
License:        LGPL-2.1-only
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}emile%{sover}
Emile provides a library to bring together serialization, compression and
ciphering.

It is a low-level library and can be used by anything above Eina. It came
along with a lot re-factoring of our current code base to make use of it
and de-duplicate a lot of existing code.

More refactoring is expected in ecore_con_ssl ciphering and general image
compression.

%package -n lib%{?mageia:%{?_bit}}eo%{sover}
Summary:        Eo, part of EFL
License:        LGPL-2.1-only
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}eo%{sover}
Eo is library providing basic E object in OOP way of programming.

%package -n lib%{?mageia:%{?_bit}}eolian%{sover}
Summary:        Eolian, part of EFL
License:        LGPL-2.1-only
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}eolian%{sover}
Eolian is library for binding/code generation based on Eo descriptions.

%package -n lib%{?mageia:%{?_bit}}ethumb%{sover}
Summary:        EThumb, part of EFL
License:        LGPL-2.1-only
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}ethumb%{sover}
Thumbnail generation library for EFL.

%if 0%{?physics_present}
%package -n lib%{?mageia:%{?_bit}}ephysics%{sover}
Summary:        EPhysics, part of EFL
License:        LGPL-2.1-only
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}ephysics%{sover}
EPhysics is a wrapper around bullet physics for the enlightenment
foundation libraries.
%endif

%package -n lib%{?mageia:%{?_bit}}evas%{sover}
Summary:        Evas, part of EFL
License:        BSD-2-Clause
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}evas%{sover}
Evas is a clean display canvas API that implements a scene graph, not an
immediate-mode rendering target, is cross-platform, for several target
display systems that can draw anti-aliased text, smooth super and
sub-sampled scaled images, alpha-blend objects and much more.

%package -n lib%{?mageia:%{?_bit}}ethumb_client%{sover}
Summary:        EThumb Client, part of EFL
License:        LGPL-2.1-only
Group:          System/Libraries

%description -n lib%{?mageia:%{?_bit}}ethumb_client%{sover}
Shared library of ethumb client.

%package -n edje
Summary:        Abstract GUI layout and animation object library
License:        BSD-2-Clause
Group:          System/GUI/Other
Requires:       efl = %{version}
Requires:       embryo = %{version}
Requires:       lib%{?mageia:%{?_bit}}edje%{sover} = %{version}

%description -n edje
Abstract GUI layout and animation object library.

This part of the Enlightenment Foundation Libraries.

%package -n elementary
Summary:        The widget set for enlightenment
License:        LGPL-2.1-only
Group:          System/GUI/Other
Requires:       edje = %{version}
Requires:       efl = %{version}
Requires:       enlightenment-theme-dft
Requires:       lib%{?mageia:%{?_bit}}elementary%{sover} = %{version}

%description -n elementary
Set of widgets for enlightenment focused on touch devices.

%package -n elementary-examples
Summary:        Elementary examples
License:        LGPL-2.1-only
Group:          Documentation/Other

%description -n elementary-examples
Examples of usage of Elementary library.

%package -n elua
Summary:        LuaJIT bindings for the efl
License:        LGPL-2.1-only
Group:          System/GUI/Other
Requires:       efl = %{version}

%description -n elua
A set of efl bindings for the LuaJIT environment.

%package -n embryo
Summary:        Abstract GUI layout and animation object library
License:        BSD-2-Clause
Group:          System/GUI/Other
Requires:       lib%{?mageia:%{?_bit}}embryo%{sover} = %{version}

%description -n embryo
Embryo is a tiny library designed to interpret limited small programs
compiled by the included compiler, embryo_cc. It is mostly a cleaned up and
smaller version of the original Small abstract machine. The compiler is
mostly untouched.

This part of the Enlightenment Foundation Libraries.

%package -n evas-generic-loaders
Summary:        Set of generic loaders for Evas
License:        GPL-2.0-or-later
Group:          System/GUI/Other

%description -n evas-generic-loaders
Set of generic loaders allowing to open XCF, PDF, PS, RAW,
MPG/AVI/OGV/MOV/MKV/WMV.

Useful only for evas library.

This part of the Enlightenment Foundation Libraries.

%if %{generic_players_present}
%package -n emotion-generic-players
Summary:        Set of generic players for Emotion
License:        GPL-2.0-or-later
Group:          System/GUI/Other

%description -n emotion-generic-players
Set of generic players (currently VLC is supported) allowing to open video
files through emotion.

Useful only for emotion library.

This part of the Enlightenment Foundation Libraries.
%endif

%if %{build_doc}
%if %{build_doc_man}
%package doc-man
Summary:        EFL reference man pages
License:        BSD-2-Clause
Group:          Documentation/Man

%description doc-man
Documentation in form of man pages describing EFL API.
%endif #build_doc_man

%package doc-html
Summary:        EFL reference man pages
License:        BSD-2-Clause
Group:          Documentation/HTML

%description doc-html
Documentation in form of HTML pages describing EFL API.
%endif #build_doc

%package examples
Summary:        Examples of EFL usage
License:        BSD-2-Clause AND LGPL-2.1-only AND Zlib
Group:          Documentation/Man

%description examples
Examples usage of the EFL library.

%package testsuite
Summary:        EFL testsuite
License:        BSD-2-Clause AND LGPL-2.1-only AND Zlib
Group:          System/GUI/Other
Requires:       lib%{?mageia:%{?_bit}}efreet%{sover} = %{version}

%description testsuite
Testsuite of EFL package.

%package -n enlightenment-theme-upstream
Version:        0.21.0
Release:        14.2
Summary:        Default Enlightenment theme
License:        BSD-2-Clause AND LGPL-2.1-only
Group:          System/GUI/Other
Conflicts:      otherproviders(enlightenment-theme-dft)
Provides:       enlightenment-theme = 0.1
Provides:       enlightenment-theme-dft

%description  -n enlightenment-theme-upstream
For use with upstream branding, when using openSUSE themes, when using
openSUSE themes Use the Dark theme instead.

%package -n enlightenment-theme-dark
Version:        0.21.0
Release:        14.2
Summary:        Default Enlightenment theme(Dark)
License:        BSD-2-Clause AND LGPL-2.1-only
Group:          System/GUI/Other
Provides:       enlightenment-theme

%description  -n enlightenment-theme-dark
The default theme for enlightenment install when using openSUSE branding.

%package -n enlightenment-x-dark-icon-theme
Version:        0.21.0
Release:        14.2
Summary:        A freedesktop.org compatible icon theme
License:        GPL-3.0-only
Group:          System/GUI/Other

%description -n enlightenment-x-dark-icon-theme
Setting this icon theme as your application icon theme in enlightenment will
make all your applications use the same icon set as the enlightenment
dark (upstream) theme.

Icon themes to match the openSUSE Enlightenment themes are also available.

%prep
%setup -q
%patch3 -p1

# remove __DATE__ and __TIME__
FAKE_BUILDTIME=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%H:%%M')
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%b %%e %%Y')
FAKE_DOCDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%a %%b %%d %%Y')
sed -e "s/__TIME__/$FAKE_BUILDTIME/g" \
    -e "s/__DATE__/$FAKE_BUILDDATE/g" \
    -i $(grep -rl '__TIME__\|__DATE__') || :

# it seems that fedora libxcb-devel package doesn't contain xcb-xprint.pc
%if 0%{?fedora_version}
sed -i 's/xcb-xprint//g' {configure.ac,configure} || :
%endif

%build
%if 0%{?_git}
NOCONFIGURE=yes ./autogen.sh
automake --add-missing
%endif

ARGS=""

# efl intentionally compares string pointers in alot of places rather then strings this stops obs complaining
export CFLAGS="%{optflags} -g -Wno-address";

%{!?mageia:%configure} \
%{?mageia:%configure2_5x} \
    --disable-static \
    --disable-silent-rules \
    --disable-tslib \
%ifarch armv6hl armv6l
    --disable-neon \
%endif
%if !0%{?physics_present}
    --disable-physics \
    --enable-i-really-know-what-i-am-doing-and-that-this-will-probably-break-things-and-i-will-fix-them-myself-and-send-patches-abb \
%endif
%if ! %{poppler_present}
    --disable-poppler \
%endif
%if !0%{?luajit_present}
    --enable-lua-old \
%endif
    --enable-harfbuzz \
%if %{xinput22_present}
    --enable-xinput22 \
%endif
%if %{xine_present}
    --enable-xine \
%endif
    --enable-systemd \
    --enable-fb \
%if %{build_doc}
    --enable-doc \
%else
    --disable-doc \
%endif
%if 0%{?enable_wayland}
    --enable-drm \
    --enable-wayland \
    --enable-elput \
    --enable-egl \
    --with-opengl=es \
%endif
    $ARGS

make %{?_smp_mflags}
%if %{build_doc}
make %{?_smp_mflags} doc
%endif

%install
%make_install
make install-examples DESTDIR=%{buildroot}

# delete binary with suid bit set :D
rm -f "%{buildroot}/%{_bindir}/eeze_scanner"

%if %{build_doc}
%if %{build_doc_man}
# copy documentation manually
echo "Copying MAN pages"
/bin/cp -vr doc/man %{buildroot}%{_datadir}/
%endif #build_doc_man
# fix line endings
find doc/html -name '*.eps' | xargs sed -i 's@\r@\n@g'
# remove duplicates
%if 0%{?suse_version}
%fdupes -s doc/html
%if %{build_doc_man}
%fdupes -s %{buildroot}%{_mandir}/
%endif #build_doc_man
%endif
%endif #build_doc

# fix permissions
find \
%if %{build_doc_man}
     %{buildroot}%{_mandir} \
     doc \
%endif
     %{buildroot}%{_datadir}/*/examples \
     -type d -exec chmod 0755 {} \;
find \
%if %{build_doc_man}
     %{buildroot}%{_mandir} \
     doc \
%endif
     %{buildroot}%{_datadir}/*/examples \
    -type f -exec chmod 0644 {} \;

# python gdb pretty printers shouldn't have execute permissions.
chmod 0644 %{buildroot}%{_datadir}/eo/gdb/eo_gdb.py

# convert icons to hicolor
_file=%{buildroot}%{_datadir}/icons/elementary.png
_width=$(identify -format %w $_file)
_height=$(identify -format %h $_file)
if [ "$_width" -eq $_height ]; then
    ls %{_datadir}/icons/hicolor | grep '[0-9]x[0-9]' | sort -n | while read _size; do
      if [ "$_width" -ge ${_size%x*} ]; then
        mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${_size}/apps
        convert -strip \
          $_file -resize $_size \
          %{buildroot}%{_datadir}/icons/hicolor/${_size}/apps/${_file##*/}
      fi
    done
else
    install -Dm0644 $_file %{buildroot}%{_datadir}/pixmaps/${_file##*/}
fi
rm %{buildroot}%{_datadir}/icons/elementary.png

# create theme version for dark package
cp %{buildroot}%{_datadir}/elementary/themes/default.edj %{buildroot}%{_datadir}/elementary/themes/dark.edj

# move icons as openSUSE also ships
mv %{buildroot}/%{_datadir}/icons/Enlightenment-X %{buildroot}/%{_datadir}/icons/Enlightenment-X-dark
touch %{buildroot}%{_datadir}/icons/Enlightenment-X-dark/icon-theme.cache

find %{buildroot} -type f -name "*.la" -delete -print

%if 0%{?suse_version}
%{suse_update_desktop_file \
    -N "Elementary Configuration" -G "Elementary Configuration" -r elementary_config Enlightenment Settings DesktopSettings}
%{suse_update_desktop_file \
    -N "Elementary Test" -G "Elementary Test" -r elementary_test Enlightenment Development IDE}
%fdupes -s %{buildroot}%{_datadir}/icons/Enlightenment-X-dark
%fdupes -s %{buildroot}%{_datadir}/%{name}/examples
%endif

%find_lang %{name}

%post
/sbin/ldconfig
%if !0%{?mageia}
%systemd_user_post ethumb.service
%endif

%if !0%{?mageia}
%preun
%systemd_user_preun ethumb.service
%endif

%postun
/sbin/ldconfig
%if !0%{?mageia}
%systemd_user_postun ethumb.service
%endif

%post -n lib%{?mageia:%{?_bit}}ecore%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}ecore%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}ector%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}ector%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}edje%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}edje%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}eldbus%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}eldbus%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}eet%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}eet%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}eeze%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}eeze%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}efl%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}efl%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}efreet%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}efreet%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}eina%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}eina%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}eio%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}eio%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}elementary%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}elementary%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}elocation%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}elocation%{sover} -p /sbin/ldconfig

%if 0%{?enable_wayland}
%post -n lib%{?mageia:%{?_bit}}elput%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}elput%{sover} -p /sbin/ldconfig
%endif

%post -n lib%{?mageia:%{?_bit}}elua%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}elua%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}embryo%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}embryo%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}emile%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}emile%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}emotion%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}emotion%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}eo%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}eo%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}eolian%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}eolian%{sover} -p /sbin/ldconfig

%if 0%{?physics_present}
%post -n lib%{?mageia:%{?_bit}}ephysics%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}ephysics%{sover} -p /sbin/ldconfig
%endif

%post -n lib%{?mageia:%{?_bit}}ethumb%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}ethumb%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}ethumb_client%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}ethumb_client%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}evas%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}evas%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}efreet_trash%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}efreet_trash%{sover} -p /sbin/ldconfig
%post -n lib%{?mageia:%{?_bit}}efreet_mime%{sover} -p /sbin/ldconfig
%postun -n lib%{?mageia:%{?_bit}}efreet_mime%{sover} -p /sbin/ldconfig

%if 0%{?suse_version} < 1320
%post -n elementary
%icon_theme_cache_post
%desktop_database_post

%postun -n elementary
%icon_theme_cache_postun
%desktop_database_postun

%post -n edje
%mime_database_post

%postun -n edje
%mime_database_postun
%endif

%if 0%{?suse_version} < 1320 || !0%{?suse_version}
%post -n enlightenment-x-dark-icon-theme
gtk-update-icon-cache %{_datadir}/icons/Enlightenment-X-dark &> /dev/null || :
%endif

%{?suse_version:%files}
%{!?suse_version:%files -f %{name}.lang}
%{_bindir}/*
%exclude %{_bindir}/edje_*
%exclude %{_bindir}/elementary_*
%exclude %{_bindir}/embryo_*
%exclude %{_datadir}/ecore_x/checkme
%exclude %{_datadir}/evas/checkme
%exclude %{_datadir}/*/examples
# evas generic loaders
%exclude %{_libdir}/evas/utils/

%if %{generic_players_present}
%exclude %{_libdir}/emotion/generic_players/
%endif

%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/ecore_con
%{_libdir}/ecore_evas
%{_libdir}/ecore_imf
%{_libdir}/ecore
%{_libdir}/eeze
%{_libdir}/efreet
%{_libdir}/emotion
%{_libdir}/ethumb
%{_libdir}/ethumb_client
%{_libdir}/evas
%{_datadir}/dbus-1
%{_datadir}/ecore
%{_datadir}/ecore_avahi
%{_datadir}/ecore_x
%{_datadir}/eet
%{_datadir}/eina
%{_datadir}/eina_cxx
%{_datadir}/eio
%{_datadir}/eldbus
%{_datadir}/elocation
%{_datadir}/emile
%{_datadir}/emotion
%{_datadir}/eo
%{_datadir}/eolian_cxx
%{_datadir}/ephysics
%{_datadir}/ethumb
%{_datadir}/evas
%{_userunitdir}/ethumb.service

%if 0%{?suse_version}
%files lang -f %{name}.lang
%endif

%files -n lib%{?mageia:%{?_bit}}efl%{sover}
%{_libdir}/libefl*.so.*

%files -n lib%{?mageia:%{?_bit}}ecore%{sover}
%{_libdir}/libecore*.so.*

%files -n lib%{?mageia:%{?_bit}}ector%{sover}
%{_libdir}/libector*.so.*

%files -n lib%{?mageia:%{?_bit}}edje%{sover}
%{_libdir}/libedje.so.*

%files -n lib%{?mageia:%{?_bit}}eldbus%{sover}
%{_libdir}/libeldbus.so.*

%files -n lib%{?mageia:%{?_bit}}elocation%{sover}
%{_libdir}/libelocation.so.*

%if 0%{?enable_wayland}
%files -n lib%{?mageia:%{?_bit}}elput%{sover}
%{_libdir}/libelput.so.*
%endif

%if 0%{?luajit_present}
%files -n lib%{?mageia:%{?_bit}}elua%{sover}
%{_libdir}/libelua.so.*
%endif

%files -n lib%{?mageia:%{?_bit}}eet%{sover}
%{_libdir}/libeet.so.*

%files -n lib%{?mageia:%{?_bit}}eeze%{sover}
%{_libdir}/libeeze.so.*

%files -n lib%{?mageia:%{?_bit}}efreet%{sover}
%{_libdir}/libefreet.so.*

%files -n lib%{?mageia:%{?_bit}}efreet_mime%{sover}
%{_libdir}/libefreet_mime.so.*

%files -n lib%{?mageia:%{?_bit}}efreet_trash%{sover}
%{_libdir}/libefreet_trash.so.*

%files -n lib%{?mageia:%{?_bit}}eina%{sover}
%{_libdir}/libeina.so.*

%files -n lib%{?mageia:%{?_bit}}eio%{sover}
%{_libdir}/libeio.so.*

%files -n lib%{?mageia:%{?_bit}}elementary%{sover}
%{_libdir}/libelementary.so.*

%files -n lib%{?mageia:%{?_bit}}embryo%{sover}
%{_libdir}/libembryo.so.*

%files -n lib%{?mageia:%{?_bit}}emile%{sover}
%{_libdir}/libemile.so.*

%files -n lib%{?mageia:%{?_bit}}emotion%{sover}
%{_libdir}/libemotion.so.*

%files -n lib%{?mageia:%{?_bit}}eo%{sover}
%{_libdir}/libeo.so.*

%files -n lib%{?mageia:%{?_bit}}eolian%{sover}
%{_libdir}/libeolian.so.*

%if 0%{?physics_present}
%files -n lib%{?mageia:%{?_bit}}ephysics%{sover}
%{_libdir}/libephysics.so.*
%endif

%files -n lib%{?mageia:%{?_bit}}ethumb%{sover}
%{_libdir}/libethumb.so.*

%files -n lib%{?mageia:%{?_bit}}ethumb_client%{sover}
%{_libdir}/libethumb_client.so.*

%files -n lib%{?mageia:%{?_bit}}evas%{sover}
%{_libdir}/libevas.so.*

%files %{?mageia:-n %{_lib}%{name}-}devel
%{_bindir}/elementary_codegen
%{_bindir}/elementary_test
%{_libdir}/pkgconfig/*
%{_libdir}/lib*.so
%{_libdir}/libeo_dbg.so.*
%{_libdir}/cmake/
%{_includedir}/efl-1/
%{_includedir}/efl-cxx-1/
%if 0%{?enable_wayland}
%{_includedir}/efl-wl-1/
%endif
%{_includedir}/ecore-1/
%{_includedir}/ecore-audio-1/
%{_includedir}/ecore-avahi-1/
%{_includedir}/ecore-con-1/
%{_includedir}/ecore-evas-1/
%{_includedir}/ecore-fb-1/
%{_includedir}/ecore-file-1/
%{_includedir}/ecore-imf-1/
%{_includedir}/ecore-imf-evas-1/
%{_includedir}/ecore-input-1/
%{_includedir}/ecore-input-evas-1/
%{_includedir}/ecore-ipc-1/
%{_includedir}/ecore-x-1/
%{_includedir}/eldbus-1/
%{_includedir}/elementary-1
%{_includedir}/elocation-1/
%if 0%{?luajit_present}
%{_includedir}/elua-1/
%endif
%{_includedir}/edje-1/
%{_includedir}/eet-1/
%{_includedir}/eeze-1/
%{_includedir}/efreet-1/
%{_includedir}/eina-1/
%{_includedir}/eio-1/
%{_includedir}/embryo-1/
%{_includedir}/emile-1/
%{_includedir}/emotion-1/
%{_includedir}/eo-1/
%{_includedir}/eolian-1/
# C++ headers
%{_includedir}/ecore-cxx-1
%{_includedir}/edje-cxx-1
%{_includedir}/eet-cxx-1
%{_includedir}/eina-cxx-1
%{_includedir}/eio-cxx-1
%{_includedir}/eldbus_cxx-1
%{_includedir}/elementary-cxx-1
%{_includedir}/eo-cxx-1
%{_includedir}/eolian-cxx-1
%{_includedir}/evas-cxx-1

%if 0%{?physics_present}
%{_includedir}/ephysics-1/
%endif
%{_includedir}/ethumb-1/
%{_includedir}/ethumb-client-1/
%{_includedir}/evas-1/
%if 0%{?enable_wayland}
%{_includedir}/ecore-drm2-1/
%{_includedir}/ecore-wl2-1/
%{_includedir}/elput-1/
%endif
%{_datadir}/eolian/
%{_datadir}/ecore_x/checkme
%{_datadir}/evas/checkme
%{_datadir}/gdb/

%files -n edje
%{_bindir}/edje_*
%{_datadir}/edje
%exclude %{_datadir}/edje/examples
%{_libdir}/edje
%{_datadir}/mime/packages/edje.xml

%files -n elementary
%{_bindir}/elementary_*
%exclude %{_bindir}/elementary_codegen
%exclude %{_bindir}/elementary_test
%{_datadir}/elementary
%exclude %{_datadir}/elementary/examples
%exclude %{_datadir}/elementary/themes/*
%{_datadir}/icons/hicolor/
%{_datadir}/applications/elementary*
%{_libdir}/elementary

%files -n elementary-examples
%{_datadir}/elementary/examples

%files -n elua
%{_datadir}/elua

%files -n embryo
%{_bindir}/embryo_*
%{_datadir}/embryo

%files -n enlightenment-theme-upstream
%{_datadir}/elementary/themes/default.edj

%files -n enlightenment-theme-dark
%{_datadir}/elementary/themes/dark.edj

%files -n enlightenment-x-dark-icon-theme
%{_datadir}/icons/Enlightenment-X-dark
%ghost %{_datadir}/icons/Enlightenment-X-dark/icon-theme.cache

%files -n evas-generic-loaders
%{_libdir}/evas/utils/

%if %{generic_players_present}
%files -n emotion-generic-players
%{_libdir}/emotion/generic_players/
%endif

%if %{build_doc}
%if %{build_doc_man}
%files doc-man
%{_mandir}/*/*
%endif #build_doc

%files doc-html
%doc doc/html/*

%endif #build_doc

%files examples
%{_datadir}/*/examples
%exclude %{_datadir}/elementary/examples

%files testsuite
%{_datadir}/ecore_imf/
%{_datadir}/eeze/
%{_datadir}/efreet/
%{_datadir}/ethumb_client/
%exclude %{_datadir}/ethumb_client/examples

%changelog
* Sun Apr 15 2018 bwiedemann@suse.com
- Add reproducible-edje.patch to make .edj files in elemines
  and other packages build reproducibly
* Tue Apr  3 2018 guillaume.gardet@opensuse.org
- Disable luajit for aarch64 and remove non working patches for aarch64
  * 0002-eina-safepointer-mimic-47-bit-eoid-patch.patch
  * 0003-elua-use-safeptr-with-lightuserdata-to-work-around-l.patch
  * 0004-elua-build-fix.patch
* Fri Mar 23 2018 sflees@suse.de
- Bump to 1.20.7
  * ecore ipc/con: fix nasty ... they dont mutually exclude
  * evas: Fix potential crash with draw context
  * disable async mode (use sync mode) for ibus when keymap changes
  * eio: make inotify monitors fork-safe
  * ecore-file: make monitoring truly fork-safe
  * efl-wl: unset kbd mods changed flag after sending modifiers
  * efl-wl: fix no-op of setting keyboard enter on already-entered surface
  * ecore-x: re-add implementation of ecore_x_connection_get()
  * ecore-x: filter XkbNewKeyboardNotifyEvent before emitting ecore-x event
  * elementary config: Fix to use ELEMENTARY_BASE_DIR for configure path
  * ecore-x: add more null checks for functions
  * ecore-x: perform internal shutdown on io error if callback is set
  * ecore-wl2: correctly translate spacebar keyname into key events (T6620)
  * efl-wl: immediately unset a destroyed surface's cursor
  * efl-wl: remove some broken logic for activating toplevel parents
  * efl-wl: set event ON_HOLD flag when they are sent to a surface
  * efl-wl: propagate surface activation back to parent if child is hidden
  * efl-wl: send more mouse buttons to clients
  * efl theme - fix bug in e init splash that would do hide anim 2x (T6619)
  * ecore-drm2: return supported rotations if not using hardware
  * ecore-drm2: Fix enabling outputs
  * ecore evas init - init ecore then evas not the other way...
  * emotion: unset DISPLAY when loading an engine under wayland (T6418)
  * elm: fix memleak in combobox
  * ecore_con: bug workaround SO_REUSEADDR and EADDRINUSE from bind (fix)
  * eina: fix random segfaults when displaying BT
  * eldbus test - del not unref obj as it has a parent ...
  * eeze: Remove unused device variables
  * eeze: Don't leak udev enumeration
  * eina: Fix typo in doxygen
  * ecore-evas-drm: Check for XDG_SEAT existence (T6455)
  * eina_file: make sure we use a stringshare when virtualized. (T6449)
  * elm ifrace scrollable - fix uninitialized values on scroll asjust
  * eo - by default on 64bit only use 47 bits because of luajit
  * elm_code_widget: make sure the widget is cleared properly. (T6185)
  * elm_code_widget: keep track of visibility.
  * edje - entry - fix empty item handling (T6668)
- Attepmts to fix luajit issues on aarch64
  * 0002-eina-safepointer-mimic-47-bit-eoid-patch.patch
  * 0003-elua-use-safeptr-with-lightuserdata-to-work-around-l.patch
  * 0004-elua-build-fix.patch
* Thu Dec  7 2017 schwab@suse.de
- Fix efl-devel lua requires
* Mon Dec  4 2017 schwab@suse.de
- Fix lua build requires
* Wed Nov 29 2017 sflees@suse.de
- Bump to 1.20.6
  * efl ui win - make win centering work with multiple screens (T6323)
  * edje_cc: fix a memory leak issue when edje_cc writes images
  * evas gl generic/common - add more linking for gles mode to fix deb build (T6158)
  * edje_edit: duplicate assignment to variable.
  * ecore_wayland: fix assigned value is never used.
  * evas: Prevent crash with image_data_get (T5957)
  * elm_code_widget: make sure the widget is cleared properly. (T6185)
  * ecore_wl2: Remove just the flush from the idle handler (T6250)
  * elm_tooltip: set parent window for windowed tooltips
  * efl_wl: more closely follow wl spec for input regions
  * efl_wl: destroy extant shell surface upon surface deletion
  * ecore_cocoa: fix the backspace key
  * edje_cc: fix errors in documentation
  * edje_cc: add missing default values to documentation
  * edje_cc: fix color2 and color3 descriptions
  * edje_cc: fix state.no_render description
  * edje_cc: parse "fixed" as bool
  * edje_cc: fix incorrect type in minmul defaults
  * edje_cc: fix color_class description
  * edje_cc: move part_remove and program_remove to group
  * edje_cc: fix default color_class colors
  * edje_cc: fix spelling
  * edje_cc: make bool parsing consistent
  * edje_cc: make color parsing consistent
  * edje_cc: move box and table properties documentation
  * edje_cc: limit map.zoom to non-negative values
  * edje_cc: fix text.align description
  * edje_cc: fix program.filter description
  * edje_cc: fix item.max parsing
  * ecore-drm2: Fix issue of not being able to set output mode
  * evas-software-generic: Check for render engine function before calling
  * emotion: Fix data race condition (CID1381624)
  * ector: use cairo_pattern_add_color_stop_rgba in gradient_radial
  * efl_gfx_path: fix typo in _path_bounds_get
  * efl net - handle proxy helper fails better and abort proxy lookups
  * Ctxpopup: resizing ctxpopup after its content is removed (T6327)
  * genlist: fix state corruption of content
* Thu Nov 23 2017 sflees@suse.de
- use luajit on aarch64
- Add fix-luajit-address-size-check.patch to fix lua build on aarch64
* Wed Nov  1 2017 sflees@suse.de
- Elementary requires an enlightenment theme to work
- Bump to 1.20.5
  * elm_code: respect event hold for key_down
  * edje: Fix invalid storage of efl_part objects
  * elm: Fix module load with ELM_RUN_IN_TREE
  * win: Avoid safety ERR in efreet
  * elm: Properly unregister providers on shutdown
  * evas: Fix shutdown of async cmd cache
  * win: Avoid calling same function twice on shutdown
  * elm: Fix elm_shutdown
  * ecore_ipc: Unregister log domain on shutdown
  * eo: Fix crashes with call cache after init cycle
  * elm: Delete atspi root object on shutdown
  * ecore: Reset do_quit when ecore shuts down
  * elm: Fix shutdown of atspi (unregister handlers)
  * tests: Improve test case for win/evas event refeed
  * evas: Fix dangling references with input devices
  * tests: Fix leak of input event & devices
  * eo: Fix unnecessary ERR logs with eo_debug
  * eo: Allow efl_reuse to be called with a parent
  * ecore-x: reject successive MappingNotify events if they are identical
  * ecore-file: do not emit events when an inotify watch is removed
  * luncher theme: Keep aspect on luncher preview - Don't force max sizes.
  * luncher theme: Offset the preview from the bottom.
  * luncher theme: Handle space to the left, right, and bottom in the active preview better.
- Fixes from 1.20.4
  * elm focus manager - dont leak child lists when updating focus order (T5800)
  * evas: handle object names with a list hash
  * evas: fix event grabber child stacking
  * evas: proceed glyph iterator to handle next index properly
  * filters: Safety++
  * eo: only return NULL when the object is destructed. (T5968)
  * edje: Add legacy compatibility code (T5944)
  * ecore exe - fix fix  malloc fail handling
  * wayland: fix xdg-shell popup windows
- Fixes from 1.20.3
  * eo: Check refs in efl_data_scope_safe_get (T5869)
  * efl-wl: use correct accessor method for keyboard resource hash
  * elm_widget: do not reparent subobjs to top widget for non-elm objects
  * efl-wl: always dismiss popups on hide
  * efl-wl: handle case where eglBindWaylandDisplay fails
  * ecore: always set delete_me before removing fd from poll
  * efl-wl: initialize seat keymap fd to -1
  * ecore_evas_extn: Fix socket & plug windows
  * elm_test: Fail nicely if plug can't connect
  * evas: make top object returning functions return the top object
  * theme: handle e dialog sizing when no buttons are present
  * wayland: fix num/caps lock handling in events (T5737)
  * elm_box: Fix support of aspect hints (T5888)
  * edje: Fix warning message
  * ecore-wl2: normalize axis event values (T5427)
  * efl-wl: match nested wl seats based on display ordering
  * elm_win: update opaque region for fake windows
  * elm_win: check for wayland engine during finalize by checking for wl win
  * efl_ui_image: maintain geometry for prev image while preloading new image (T5936)
  * theme: fix dialog sizing when no buttons are present
  * Canvas text: fix non-dirty paragraph width calculation (T5939)
  * eina file - use recursive locks for cache and file to avoid deadlock
  * eina mmap safety - only map zeropages if it's an eina file that sigbuses
  * evas: fix invalid return of evas_textgrid_cellrow_get()
  * access: Fix crash in ecore
  * elm init - fix init seq and quicklaunch as we shut down x before evas
  * photocam: Fix key zoom in/out
- Swap back to using and rather then AND in licenses
- Themes aren't Zlib licensed
* Mon Oct  2 2017 avvissu@yandex.by
- Add ghost line to own the 'icon-theme.cache' file
- Fix empty debug files on Mageia (add the -g flag)
- Find all files containing "__DATE__ and __TIME__"
- Auto-convert icons to hicolor
- Replace categories defined
- Add macros: _git icon_theme_cache_post{un} desktop_database_post{un}
- Add files: ChangeLog NEWS
- Use systemd_post --user
- Fix build on SLE and Mageia
- Add pkgconfig(valgrind)
- Remove the unrecognized arguments: --with-generic_vl,
  - -enable-install-examples
- Add package with translations
- Build with wayland on openSUSE_Tumbleweed
- Add macros: sover _git
- Update groups and descriptions
- Spec file cleanup
* Tue Aug  8 2017 sflees@suse.de
- Bump to 1.20.2 (1.20.0 1.20.1 had issues)
  * Wayland, DRM and Input
  * Initial input tablet support
  * the ability for DRM to place native surfaces on hardware planes
  * dmabuf clients into hardware planes
  * atomic commit and atomic updates.
  * support for a multiseat wayland compositor in an evas smart object.
  * Ecore
  * The ecore input method framework was extended with a few APIs to allow
    setting prediction hints, setting accepted mime types and getting the
    keyboard mode.
  * Eina
  * A new eina debug layer is aimed to bring a way to debug EFL applications
  * Elementary
  * Elementary has seen a huge focus rework and addition of a focus manager.
  * Many other fixes
  - Drop fix-upstream-elua-build.patch (fixed upstream)
  - Drop fix-upstream-eina-hampster-repo-build.patch (fixed upstream)
  - Fix lua build requires
* Fri Jul  7 2017 sflees@suse.de
- Fix build fix-upstream-elua-build.patch
* Wed May 24 2017 sflees@suse.de
- Update to 1.19.1
  * elm_image: Fix file_set when preload is disabled
  * elm_code: Fix selection,start signal
  * build: bump minimum version requirement of gnutls to 3.3.6 (T5437)
  * bump minimum version requirement of freetype2 to 16.2.10 which
  equals release 2.5.0.1 (T5437)
  * evas/elm: Fix bad propagation of ON_HOLD flag
  * evas render: Fix issue with map render
  * nstate: correct the legacy class name
  * check: fix efl_ui_check_selected_set() API
  * elm_code : LINE_APPEND Render fix
  * elm_code: Fix crash on tabs in long lines
* Fri May 19 2017 sflees@suse.de
- Fix rebuild issues
  * Adds fix-upstream-eina-hampster-repo-build.patch
* Wed May 17 2017 sflees@suse.de
- Update to 1.19.0
  * XCB support removed
  * After many years of having XCB support in ecore_x and the
    evas engine without a real user base we decided to drop it
    from this release onwards.
  * Multiseat support
  * This release saw the first work on multiseat support in evas
    and edje.
  * Evas Image Loaders
  * In the evas image loader BMP got support for region set and
    PNG for region load.
  * The PNG saver was extended with support for GRY8/AGRY88 as
    well and our async image loading now allows loading the
    header of an image file async, too.
  * Wayland, DRM and Input
  * Our libinput support in elput does now supports new libinput
    features like tap-and-drag, drag-log and dwt on touch pads and
    more.
  * The XDG shell v6 support was added and ecore-drm does now
    support retrieving the screen dpi and its rotation and
    setting gamma of a given output.
  * Eolian
  * Eolian support for documentation in EO files has been
    extended by a large margin, including a documentation
    tokenizer and maybe other things to generate our
    documentation from the EO files.
* Thu Jan 26 2017 sleep_walker@opensuse.org
- Update to 1.18.4 bugfix release
  Changes since 1.18.3:
  * evas/x11: Fix EGL engine for recent nvidia binary
  * gl drm/x11: Fix compilation for EGL < 1.5
  * ecore_x: Early check image bpp based on depth (T4389)
  Changes since 1.18.2:
  * eocre animator - the anim thread is polled on shutdown use volatile
  * ecore anim - actually fix by checking fd not thread handle
  * ecore_cocoa: fix handling of some keys
  * ecore audio - fix hang in wayland due to pulse audio connecting to x
  * emotion gst1 module - disable subtitles by default as that should be (T4795)
  * wl_drm and eayland_egl buffer age fix for gl when age changes
* Thu Oct 20 2016 sflees@suse.de
- Update to 1.18.2 bugfix release
  * efreet: fix command generation by fixing string buffer expansion
  * elm_toolbar: Show icons in icon only mode
  * Evas_Device: Use eo_del() in evas_device_del().
  * ecore_evas x: dont set withdrawn to fals on show but wait for wm state (T4699)
  * ecore-evas x: fix intial iconified state so terminology -I works
  * evas: Fix evas_object_smart_clipped_clipper_get
  * epp: fix memory corruption when using #warning and #error
  * fix edje_cc segv when compiling bling bling theme
* Sun Sep 18 2016 sflees@suse.de
- Update to 1.18.1
  * doc: put shot.sh into dist to allow make doc run from tarball
  * examples: evas: ensure filter example lua files land in tarball
  * elm: Install elm test images in the right place
  * FDO icon theme: correct Inherits value
  * edje - fix missing vector field frees, copies, handling etc.
  * FDO icons: correctly list the intl icons in theme description file
  * Fix elementary build when xkbcommon is in a non standard location
  (T4413)
  * ecore_audio: fix distribution of eolian files
  * eina: overhaul Mac OS X semaphores (T4423)
- Remove fix-xkbcommon-compile.patch (upstream)
* Wed Aug 31 2016 schwab@suse.de
- Disable NEON on armv6
- Configure with --enable-lua-old and exclude all elua files if luajit is
  not present
* Sat Aug 27 2016 simonf.lees@suse.com
- Remove poppler from OS's that don't support it
* Thu Aug 25 2016 simonf.lees@suse.com
- remove vlc on OS's that dont support it
* Thu Aug 25 2016 simonf.lees@suse.com
- Move things with a different version to last in the list.
* Wed Aug 24 2016 simonf.lees@suse.com
- Remove efl-1.11.3-fix-bashisms.patch wasn't going to be included
  upstream and breaks colored output.
* Wed Aug 24 2016 simonf.lees@suse.com
- We now have a libelput1 under wayland
* Mon Aug 22 2016 sflees@suse.de
- Add fix-xkbcommon-compile.patch to fix wayland build
* Fri Aug 19 2016 sflees@suse.de
- Attempt to add back wayland build support - I suspect it has a bug
* Fri Aug 19 2016 sflees@suse.de
- Update to 1.18.0
  * Major Packaging changes
  * elementary evas-generic-loaders and emotion-generic-players(not
    currently built), have been merged into this package
  * New FDO Icon themes added and created in its own package
  * The following patches have been removed (fixed upstream)
  * fix-upstream-evas-opacity-check.patch
  * fix-upstream-evas-opacity-rect.patch
  * fix-upstream-evas-trans-rect.patch
  * New Software features
  * FDO Icon themes
  * EFL gained a virtual path subsystem
  * Many internal changes that will become visable in 1.19
  * With Elput we introduced a new library for input handling based on libinput.
  * Many other bugfixes and minor enhancements
* Tue Jul 19 2016 sflees@suse.de
- A series of patches to fix some themes
  * fix-upstream-evas-opacity-check.patch
  * fix-upstream-evas-opacity-rect.patch
  * fix-upstream-evas-trans-rect.patch
* Thu Jun 23 2016 sflees@suse.de
- Bump to 1.17.2
  * evas: gif loader - fix out of bounds access on cmap of invalid pixels
  * evas - gif loader - handle missing colormap
  * evas sw render: cutout rects may be used in multiple threads (T3348)
  * eina hash - fix stringshare key comparison function (T3638)
  * efl - fix many bounds over/underflow where we use int for ptr cmp
  (T3638)
  * examples: evas: add all needed files to SOURCES to make sure they
  are distributed
  * ecore_x: fix emission of ECORE_X_EVENT_XKB_NEWKBD_NOTIFY
- The following patches have been removed due to being fixed upstream
  * fix-evas-sw-cutout-rects-threads.patch
  * fix-evas-sw-spinlock-free.patch
  * fix-evas-gif-loader-CVE-2014-9762.patch
  * fix-evas-gif-loader-pixel-lookup-decode.patch
  * fix-evas-gif-loader-cmap-null.patch
- 1.17.1 changes
  * Ecore con: Close server socket fd on failure.
  * eina: invalidate last add/del rects when the opposite operation occurs
  * Evas textblock: Fix markup cache, was completely broken.
  * Edje textblock: Assume textblock knows to deal with setting the
  same markup.
  * ecore-wl2: do not send double mouse up events during input ungrab
  * edje: clear pending programs upon calling stop_programs_on()
  * Evas textblock: fix cached markup's stringshare refs
  * edje entry: fix bug not to call
  ecore_imf_context_cursor_position_set when deleting surrounding text
  * evas: Fix improper extra library linkage for various engines
  * ecore-drm: Add missing initializer for fb2 command
  * ecore-evas-wayland: Remove include for old Ecore_Wayland library
* Thu Apr  7 2016 sflees@suse.de
- Fix crash due to threadsafty issue fix-evas-sw-cutout-rects-threads.patch T3348
- Fix spinlock handling leading to deadlock (fix-evas-sw-spinlock-free.patch)
- Fix mulitple possible crashes in gif loader that could lead to DOS attacks
  (CVE-2014-9762 boo#963796, boo#963797, boo#973759)
  * fix-evas-gif-loader-CVE-2014-9762.patch
  * fix-evas-gif-loader-pixel-lookup-decode.patch
  * fix-evas-gif-loader-cmap-null.patch
* Wed Feb  3 2016 sleep_walker@opensuse.org
- use full URL for Source
* Wed Feb  3 2016 simon@simotek.net
- Bump to 1.17.0
  What's New
  Even if we had only three months a lot has happened during the 1.17 release cycle.
  We only cover some highlights here. For the full list please look at the NEWS files
  if you are interested in the details. As usual we have been working on fixing bugs,
  optimising our code for speed and memory footprint and adding new features.
  Wayland / DRM
  New APIs for keymap cache and left-handed mouse have been added in
  ecore_wayland while a new wayland module helped to fix some bugs with
  window sizing problems we have seen.
  Evas
  The biggest changes in Evas have been adding support for hyphenation
  wrap style and the addition of a TBM (Tizen Buffer Management) surface in
  the Evas engine.
  Eina
  Many of the changes in Eina during this release are towards better support of
  vector graphics coming in form of our Ector library. They include eina_bezier,
  eina_vector, eina_matrix and eina_quaternion updates.
  Additonally we added APIs for base64 encode and decode functionality.
  Edje
  New support for size_class as well as text_class syntax have been added and
  we can now embed TGV files directly into an edje file.
  Bindings
  JavaScript Eolian binding have been added as a first step towards JavaScript
  bindings for the EFL.
* Tue Jan 19 2016 sleep_walker@opensuse.org
- EFL now requires libsystemd >= 209 which is not available on
  openSUSE 13.1 - disable systemd support for that distro
* Sun Dec 27 2015 simon@simotek.net
- Bump to 1.16.1
    edje: initialize map.zoom values to fix old *.edj compatibility issues.
    ecore-evas wayland: use correct values when updating wayland window size
    ecore-evas drm: null global device pointer after free (T2844)
    ector: disable NEON build. (T2851)
    ecore-evas-wl: Fix issue of improper window geometry (T2842)
    ecore-drm: Don't send mouse_move event too early
    ecore-evas-drm: Send fake mouse_move event after registering (T2854)
    ecore-wayland: Make ecore_wl_window_maximized_get return proper values
    ecore-evas wayland: enforce frame/state change triggering before move/resize (T2841)
    ecore-wayland: return only the relevant state value for maximize/fullscreen
    ecore-wayland: rewrite maximize/fullscreen set functions for consistency (T2841)
    edje: fix edje RTL description in case of custom state of a part
    emotion - fix gst back-end to report title and other meta changes
    evas: do not add unclipped smart members to the master clip
    evas: trigger FLUSH_PRE callback prior to kicking off an async render
    evas: do not unset/delete master clip after every frame
    efreet_icon_cache_create: null theme eet file to avoid double free
    edje_cc: track parts for descriptions, ensure part types match when inheriting
    edje_cc: terminate filter file scripts
    edje_cc: correctly copy part descriptions when setting part type
    edje_cc: redo part type setting to be even more correct
    evas: unset pointer ungrabs when using EVAS_OBJECT_POINTER_MODE_NOGRAB_NO_REPEAT_UPDOWN
    evas: handle existing pointer grabs when changing object pointer mode
    efreetd: send ipc for EFREET_EVENT_DESKTOP_CACHE_BUILD...always (T2733)
* Thu Nov 12 2015 simon@simotek.net
- Swap back to pkgconfig(luajit) for now, hopefully factory will be fixed soon
  using anything else makes obs happy but still fails configure due to a
  incorrect pc file
- Bump to 1.16.0
    Wayland
    The focus of work on our wayland areas have been stabilisation and filling of gaps for the upcoming E20 release. To make 1.16 a solid base for it work has been gone to make the evas drm engine more solid and adding support for things like adjusting keyboard repeat and rate delay, etc
    Evas GL
    Besides some normal optimisation evas GL got support for the new partial update extension.
    Eina
    To aid debugging and tooling infrastructure eina thread does now support setting thread names and many internal threads are already named.
    Eo (BETA)
    A lot of optimisation, memory as well as CPU time, has been gone into EO this time. Initially we hoped to declare EO stable after this development cycle, but we need to postpone this for at least another cycle as some more optimisation are being planned which might break ABI.
* Mon Oct 26 2015 sleep_walker@opensuse.org
- depend on luajit-devel instead of pkgconfig(luajit), it seems to be
  unifying symbol among distributions
* Thu Oct  8 2015 simon@simotek.net
- bump to 1.15.2 Feature Release
  ecore_wayland: bind and destroy session_recovery interface correctly.
  ecore_pipe: add write fdset and except fdset.
  edje: Fix double free scenario caused by static pointer.
  Evas textblock: fix case of own_closer in style_set (T2654)
  evas - fix texture context bind reset in gl common using wrong texture
  eldbus: add dbus_pending NULL check
  ecore_evas-x11: unset withdrawn state when window is mapped (T2745)
  upower: free version string splits
  ecore_win32: fix the mouse out behavior.
  ecore-audio: defer deletion of pulseaudio timer until after event processing
  doc/eldbus: fix parameter in document
  edje_cc: Fix inheritance of "no_render" flag
  eldbus - make method calls less crasy since libdbus likes to abort
* Thu Oct  1 2015 sleep_walker@opensuse.org
- add forgotten dependencies for wayland into devel subpackage
- drop neon-cflags.patch as it seems to be fixed already
* Sun Sep 27 2015 sleep_walker@opensuse.org
- some more cleanup
* Sun Sep 27 2015 sleep_walker@opensuse.org
- Enable Wayland support and DRM support
- cleanup macros
- fix systemd support
* Mon Sep 21 2015 schwab@suse.de
- Require pkgconfig(lua-5.1) instead of pkgconfig(lua) < 5.2
* Tue Sep 15 2015 simon@simotek.net
- Bump to 1.15.1 Bugfix
    ecore_evas: fix first render skip in several windows
    ecore-wl: do not nul terminate drops
    Evas language: fix script run code (T2670)
* Wed Sep  2 2015 simon@simotek.net
- Only use luajit or lua and if using lua use less then 5.2
* Thu Aug  6 2015 simon@simotek.net
- bump to 1.15.0 Feature release
  Eo
  Cleaned up object creation (constructor and finalizer) and improved
  error handling. This includes adding a return value to eo_constructor()
  and removing eo_error_set(). Object creation and error handling should
  now be more consistent.
  Ecore DRM
  Several new API functions were added for working with Outputs, along
  with improvements to rendering speed and the addition of support for
  hardware-accelerated rendering.
  Ecore Wayland
  Support added for version 5 of the xdg_shell protocol. With many
  other enhancement we no depend on version >=1.8.0 of the wayland
  libraries (client, cursor and server). Wayland input methods gained
  support for autocapital, language and password mode.
  Eolian
  Several new convenience APIs were added, new documentation format
  and generator was introduced and many existing EFL/Elementary docs
  were converted into the new format (old format is considered deprecated).
  The Eo file grammar was made stricter and additional error checks were
  added. Preparations for enabling of the Eo file validator were made, but
  are not yet complete.
  Edje / EDC
  A new flag has been added to parts: "no_render". When set to 1, the part
  should never be visible on the canvas, but can still be used as a mask or
  a proxy source.
  It is now possible to change a part's clipper by setting an overriding
  clip_to value in the state description.
  The text and image filters for evas are now better integrated in EDC,
  allowing themes to use filters with animations, and refer to external
  Lua files.
  Portability
  Many fixes for better Windows support have been added. On the Mac OS X
  side support for CoreAudio was added to ecore_audio to play sounds.
* Mon Jul 20 2015 simon@simotek.net
- bump to 1.14.2
    pkg-config: fix portability issue on Windows. (T2458)
    edje: set GROUP/SWALLOW/EXTERNAL pass events based on mouse events
    eina semaphore lock - don't wake up because of signals
    ecore: null cb function is unacceptable.
    Evas filters: Fix blend with color with rgba buffers
    Evas: Remove shader_3d .x generated file from BUILT_SOURCES
    eina/simple_xml_parser: don't parse the <, > in the attribute string.
* Wed Jun 10 2015 simon@simotek.net
- bump to 1.14.1
  Eolian/Generator: fix enums generation (T2400)
  rg_etc: Correct ifdef to keep function available for debug build
  Evas GL common: Skip shaders generation if there is no change
  Evas filters: Fix glReadPixels usage for EGL
  evas canvas: add exceptional handling in invalid input case.
  edje: fix back edje_watch.
  evas canvas: fix insane mouse move events on proxy source.
  evas: make image_size_get() return the actual image size
* Wed May 13 2015 schwab@suse.de
- Fix file list for !%%luajit_present
* Wed May 13 2015 simon@simotek.net
- Build with gstreamer 1 if avalible otherwise gstreamer 0.10 not
  both
* Thu May  7 2015 simon@simotek.net
  = What's New =
  Even if we had only three months a lot has happened during the 1.14
  release cycle.
  We only cover some highlights here. For the full list please look at the
  NEWS files
  if you are interested in the details. As usual we have been working on
  fixing bugs,
  optimizing our code for speed and memory footprint and adding new features.
  Below we describe just some highlights and by no means provide a full list.
  == Build & Distribution ==
  While we have supported parallel building a la make -j X for a long time
  we had
  problems with supporting it for the install target. Finally this is
  solved and you can
  use -j X for all your make calls now.
  == Emile ==
  Emile provides a library to bring together serialization, compression
  and ciphering.
  It is a low-level library and can be used by anything above Eina. It
  came along with a
  lot re-factoring of our current code base to make use of it and
  de-duplicate a lot of
  existing code. More refactoring is expected in ecore_con_ssl ciphering
  and general
  image compression.
  == Ector and Evas_Object_VG (BETA) ==
  Ector provides a new retained rendering library that is used by Evas to
  provide
  Evas_Object_VG. This is a new Evas_Object that provides a vector graphics
  scene graph following the SVG specification. It will be considered a bug
  if some
  behaviour does not follow the SVG standard. Evas_Object_VG provides 3
  kind of objects
  for now: shape, as well as linear and radial gradients.
  Apart from the authors you will see with git, two big thanks need to
  be mentioned here. First special thanks goes to Jorge Luis "turran"
  Zapata who has been
  developing his own vector stack: http://enesim.org/ since a long time
  now and
  shared his technical advice and also strongly influenced the design. We
  evaluated
  the possibility to include enesim in the EFL, but that wasn't really
  possible, sadly.
  Another thanks goes to Jose O Gonzalez who supported and answered a lot
  of my
  questions and helped me a lot, too.
  == EModel (BETA)==
  Efl.Model is an attempt to provide a data model as in the M of MVC to
  the EFL core.
  A first implementation and example is provided as a Eio.Model. This,
  together with
  some patches in Elementary, should provide a fully asynchronous and fast
  modern MVC
  system for the EFL.
  The API has been in review since last summer, but will still only be
  accessible
  with EFL BETA API and EO for now. More data models should come in the
  future.
  == Eo / Eolian ==
  Eolian now supports parsing of @nullable and @optional args on function
  parameters and is able return the class from a function and determine if a
  function is implemented.
  Eo remove some GCCism and make it more portable to work with other
  compilers.
  == EvasGL  ==
  Together with a lot bug fixes Evas GL got support for 3.0 and automatic
  fallback to indirect rendering when the scene has not changed.
  == Evas ==
  The gl_x11 Evas engines gained support for the TBM native surface type
  (for Tizen)
  as well as support for bitmap embedded color fonts.
  == Ecore_Evas ==
  With eetpack we added a small utility for packing files (images) into
  eet files.
  == Edje ==
  Edje received many updates for its edit capabilities, especially around
  box and
  table. It also received 3D camera properties in edje_cc, colorclass
  updates, zoom
  effects for map and more.
  == Ecore DRM ==
  Many new features and bug fixes have been put into ecore_drm this cycle
  while its
  usage in the Enlightenment Wayland compositor is progressing.
  Functionality as
  been added to support DPMS on outputs, setting output, marking
  framebuffers as
  dirty, disabling an output, ouput EDID parsing as well as support for
  libinput 0.8
  and higher.
  == Unit Testing ==
  We improved out test coverage from 38.5%% to 39.3%% during the 1.14
  release cycle. This does
  not sound much but given the size of our code base and the amount of new
  code added
  even a small increase of 0.8%% coverage is a good step forward.
* Tue Apr  7 2015 simon@simotek.net
- bump to 1.13.2 bugfix release
  * ecore-wl fullscreen state is based on either window type or attribute
  * ecore/ecore_audio: fix timer control logically wrong.
  * Evas GL: Fix list of extensions with GLESv1
  * evas/clip: If the clipper is image or has color, clipped area
  should be redrawn.
  * eina: safety check for NULL pointer
  * evas: prevent crash.
  * evil: fix access to a file mapping object
  * ecore_idler: + null check.
* Mon Mar 23 2015 schwab@suse.de
- Fix file list
* Sun Mar 15 2015 simon@simotek.net
- bump to 1.13.1 bugfix release
  * Evas masking: Fix some garbage pixels with the SW engine
  * Evas masking: Fix potential issues with map & masking
  * Evas masking: Force BLEND mode in case of image masking (GL)
  * ecore-drm should not use sscanf when getting logind vt
  * ecore/drm: Fix libinput >= 0.8 check
  * ee-win32 probably might compile now
  * Evas GL: Fix leak of surfaces with GLES 1.1
  * eina + ecore - fix main loop thread id tracking on fork
* Mon Feb 16 2015 simon@simotek.net
- bump to 1.13.0 feature release
  * New elocation library (beta)
  * New elua library
  * More api's converted to eo/eolian
  * Evas 3d - gained support for .ply export/import
  * Evas - supports image masks
  * Evas GL - Shaders generated and loaded from a makefile
  * Eet - support certificate signing
  * eldbus - Lots of eldbus-codegen fixes, you should regen your code
  * wayland - uses libinput (not used in openSUSE yet)
- Packaging changes
  * remove second half of efl-1.11.3-fix-bashisms.patch file no longer exists
* Mon Jan 26 2015 simon@simotek.net
- Disable xine on Fedora + SLES, enable  on all others. Previously
  It was enabled for everything other then fedora
* Sun Jan 25 2015 simon@simotek.net
- Bump to 1.12.3 bugfix
  * Edje_Edit: Add sound samples into generated code for the group.
  * ecore_con: the timer callback is waiting for the Eo object not its
  private data. (T1962)
  * evas textgrid - fix drawing of codepoints that are 0
  * eo: Fix bad addressing in _eo_classes array
  * Eo tests: Fix bad free in eo_test_value
  * ee engines should not crash when re-setting the same title/name_class
* Thu Jan  8 2015 simon@simotek.net
- Bump to EFL 1.12.2 New feature release
  * Disable neon-cflags.patch should be fixed upstream (also doesn't apply
    cleanly)
  * New OpenGL Application Features
  * Vastly improved lua bindings
  * lots of internal eolian fixes
  * Lots of other bugfixes and enhancements
  * Adds libefl.so.1
* Fri Nov 21 2014 simon@simotek.net
- Bump to EFL 1.11.5 bugfix
  Remove 0001-unbreak-nvidia-gl.patch was the only fix in efl 1.11.4
  * Eo id: Fix id security checks for invalid objects.
  * Fix bug ecore_imf_context_cursor_position_set was not called when
  cursor was moved by ECORE_IMF_CALLBACK_SELECTION_SET
* Sun Oct 19 2014 Led <ledest@gmail.com>
- fix bashisms
- add patches:
  * efl-1.11.3-fix-bashisms.patch
* Thu Oct 16 2014 simon@simotek.net
- Add 0001-unbreak-nvidia-gl.patch
  f294fdc3a1d0c648353eae2185ca2c53e4630949 introduced a fix for a
  alpha issue but this fix also broke gl for all users so its being
  reverted atleast for the 1.11.3 release
* Thu Oct 16 2014 simon@simotek.net
- Bump to 1.11.3 bugfix release
  * Evas filters: Fix parsing of argument lists (T1615)
  * edje_program: added signal "focus,part,out" when focus is discarded
  * efl - vsync - deal with both broken and non-broken libdrm
  * ecore_x_vsync - fix tiny leaklet of drmversion
  * Evas Textblock: Fix bad empty line add on wrapping
  * ecore vsync - fix up dual nvidia + dri/drm driver discovery
  * eeze - sensors - ints for sensor events were decld in .h - and never .c
  * Evas Textblock: Fix native width of BiDi text (T1532)
  * ecore_imf/ibus : provide to get surrounding text
  * evas: GL_X11 context need to always be with alpha or it will fail
  to change.
* Thu Sep 18 2014 schwab@suse.de
- Don't disable neon-cflags.patch
- valgrind exists also on aarch64
* Wed Sep 17 2014 simon@simotek.net
- The bug effecting the doco build is #897122
* Tue Sep 16 2014 simon@simotek.net
- Disable but keep the neon-cflags.patch, will confirm with the author
  that this was fixed properly upstream before removing the patch entirely
- Temporarly disable generating docs as factory is complaining of a missing epstopdf.
* Tue Sep 16 2014 simon@simotek.net
- Bump to 1.11.2 bugfix release
  * shutup ecore-x vsync stupid log domain failures
  * emotion - fix calling pos update cb for gst1 module in frame new
  * emotion - audio volume - leave as-is on file open/init
  * edje_cc now throws an error during link combination when the
  current part has no name
  * evas: fix build on armv7l. (T1620)
  * edje embryo stop_program() should stop pending actions
  * evas: let's freeze the canvas, shall we ?
* Thu Sep 11 2014 simon@simotek.net
- Try and fix fedora build
* Mon Sep  1 2014 schwab@suse.de
- eolian.patch: remove unused patch
- neon-cflags.patch: use NEON_CFLAGS for all users of <arm_neon.h>
- Disable elua subpackage if there is no luajit
* Fri Aug 29 2014 simon@simotek.net
- Update to 1.11.1
  * Major packaging changes:
  * Added elua package (efl luajit bindings)
  * Setup efreet and ethumb systemd user daemons properly
  * Major upstream changes
  * Eolian passer rewrite
  * ETC2 image decode support and etc2 texture format support
  * New loader for the DDS image file format.
  * elua (lua wrapper and bindings)
  * Many coverty and other bugs fixed
- Include un approved Request 244211 (if i knew it existed i would have approved
  It first
  Mon Aug 11 11:48:25 UTC 2014 - schwab@suse.de
  - Require luajit only for supported architectures
  - eolian.patch: fix type mismatch
* Thu Aug  7 2014 simon@simotek.net
- re enable ephysics now that bullet is in factory
  This means that a new libephysics1 package will be created
* Wed Jul 23 2014 simon@simotek.net
- remove shebang.patch and instead make the files -x
  Python pretty printers don't need execute permissions
* Mon Jul 21 2014 simon@simotek.net
  * Update to 1.10.2
  * evas/textblock: check item's type before returning result.
  * Evas textblock: Fix issue with edje fonts not being used. (T1331)
  * Evas/Textblock: Introduce PS deletion bug test and fix
  * evas/gl - fix to render grayscale with transparency format in gl backened.
  * edje: textblock style loading changed
  * lz4: fix possible security issue. (CVE-2014-4611)
  * Separate lz4 patch no longer required.
  * 0001-lz4-fix-possible-security-issue.patch removed
* Mon Jun 30 2014 sleep_walker@suse.cz
- 0001-lz4-fix-possible-security-issue.patch
  fix for CVE-2014-4611
* Wed Jun 11 2014 sleep_walker@suse.cz
- bump to 1.10.1
  Fixes:
  * recursively hide edje group objects on edje hide
  * Evas textblock: Fix wrong advance calculation when bidi is disabled.
  * Eolian: fix issue for Windows.
  * evas loader - redo gif fix so it doesn't break everything
  * Evas: Remove invalid cast and fix warning/bug on windows
  * Win64: Fix a bunch of warnings
  * eina/file - revert 18be4c50d9990c82ed9ce4269b7820e61f772699
  * Eolian: Fix class look up.
  * Evas textblock: Fix crash when cutting ligatures with formats. (T1308)
  * eo: force zeroing memory on non Linux system.
  * po: Set initial values for Language-Team in all po files
  * po: Set initial language value in po file where it is missing
* Mon May 26 2014 sleep_walker@suse.cz
- add forgotten path
* Mon May 26 2014 sleep_walker@suse.cz
- bump to 1.10.0 release
  Fixes:
  * ecore-drm: Send proper keycode to ecore key event, and remove erroneous
    variable.
  * edje: Edje_Edit - fix wrong behaviour on draggable.event processing
    while deleting parts.
  * evas/text: fix abnormal ellipsis logic when harfbuzz is enabled.
* Mon May 19 2014 sleep_walker@suse.cz
- bump to 1.10.0-beta3
  Fixes:
    edje/Edje_Edit: _edje_edit_real_part_add init field of
    Edje_Real_part
    fix ecore_con_url using 100%% cpu and just let fd handler do
    work (T1251)
    fix behavior of edje entry to match other toolkit
    entires (T1229)
    fix ecore_thread_global_data_wait to work when no data exists
    yet
    Eo: Fix deref after free. (CID1039898)
    evas/render - fix segfault because of null cow access. (T1252)
* Mon May 12 2014 sleep_walker@suse.cz
- bump to 1.10.0-beta2
  Features:
  * eina: add eina_inarray_resize @feature.
  * eina: add eina_accessor_clone and update all Eina_Accessor to take
    advantage of it.
  * eina: add a C++ bindings to Eina @feature.
  * @feature - Apply NEON intrisics improvement to rotation
  * Evas textblock: Implemented mid-contextualization formatting.
  * evas-drm: Add evas_drm to build order for Evas drm engine
  * evas-drm: Add Evas Drm Engine (software only currently)
  * evas-drm: Add option to enable drm hardware acceleration
  * evas-drm: Start on hardware-accel support for drm
  * evas-drm: Triple buffer by default.
  * evas-drm: Fix opening of drm card
  * evas-drm: Start on hardware Plane support
  * evas-drm: Add vsync/non-vsync support to evas_drm code
  * evas-drm: Ddd support for setting vsync with env variable.
  * edje: @feature to include license in edje file. (T1027)
  * edje: add support of last input entered in password mode to be always
    visible in entry.
  * eio: make it possible to limit the amount of memory used by threads.
  * eina: make Eina_Error thread safe.
  * edje: add AUTHORS and more than one license file to Edje.
  * ecore-drm: Add Ecore_Drm code
  * ecore-drm: Add configure.ac autofoo for ecore-drm
  * Eet: Added vieet a tool to edit eet files.
  * eina-cxx: Added eina_log support for C++, using IOStreams syntax
  * ecore-drm: Add API function to return the vt fd
  * ecore-drm: Add dependency on xkbcommon
  * ecore-drm: Add code pass along key events to ecore_event
  * ecore-drm: Set the window of the Ecore_Event_Key structure
  * ecore-drm: Add code to handle modifiers in a key event
  * ecore-drm: Add code to handle mouse input
  * evas/font: Added evas_font_path_global_* APIs.
  * Eo: Made eo id for classes a bit more secure.
  * ecore-drm: Add API function to return the drm device name
  * ecore-evas-drm: Add support for resize and move callbacks
  * ecore-evas-drm: Add support for setting focus_in & focus_out callbacks
  * ecore-evas-drm: Add support for setting the mouse in & mouse out
    callbacks of the ecore_evas
  * ecore-evas-drm: Add support for ecore_evas_move function
  * ecore-evas-drm: Add support for ecore_evas_move_resize
  * ecore-evas-drm: Add support for rotation set
  * ecore-evas-drm: Add support for setting the title of the ecore_evas
  * ecore-evas-drm: Add support for ecore_evas_name_class_set
  * ecore-evas-drm: Add support for setting size hints
  * ecore-evas-drm: Add support for ecore_evas_object_cursor_set
  * ecore-evas-drm: Add support for ecore_evas_layer_set
  * ecore-evas-drm: Add support for ecore_evas_iconified_set
  * ecore-evas-drm: Add support for ecore_evas_borderless_set
  * ecore-evas-drm: Add support for maximized, fullscreen, withdrawn, and
    ignore_events settings
  * ecore-evas-drm: Add support for alpha & transparent setting
  * ecore-evas-drm: Add support for setting aspect of ecore_evas
  * edje_cc now supports program.targets keyword for adding N targets in one
    line
  * edje_cc now supports group.remove for removing parts from inherited groups
  * edje_cc now supports part.inherit for copying attributes of parts within
    a group more easily
  * eeze_udev gets more helper functions
  * edje_cc now supports program.sequence for more easily chaining programs
    together
  * edje_cc can now use group.program_remove to remove inherited programs
  * edje_edit: function that will return the source code of the loaded edje
    edit object.
  * ecore-drm: Add API function for getting size of an output.
  * eet-cxx: add implementation for eet C++.
  * Eina: Fix mistake in a previous patch
  * +eeze_udev_get()
  * eina-cxx: Modified eina C++ log use syntax
  * Move to Eo2 and adjust code accordingly
  * Eo: eo_do now returns called func's value + default ret fix.
  * Edje: Use LOSSY_ETC1 instead of LOSSY
  * Evas TGV: Add direct copy mode for ETC1/ETC2 data
  * Evas: Add support for ETC2 in the TGV loader
  * Evas gl_x11: Add ETC2 support to the GL/X11 engine
  * edje_cc now supports "lazEDC", a more concise version of EDC
  * edje_cc now supports the group.inherit_only attribute
  * edje_cc now supports targets for SIGNAL_EMIT actions
  * edje_cc now has the program.groups and X.target_group keywords for target
    grouping
  * edje_cc now supports group.program_source for specifying a default source
    in programs
  * eina_hash now has helper functions for managing lists inside hashes
  * edje_cc now supports part.description.link for single line state changes
  * edje now has the group.script_recursion flag for permitting unsafe embryo
    recursion (T905)
  * eolian_cxx: initial version of the EFL C++ Bindings Generator.
  Fixes:
  * ecore: @fix race condition when using
    ecore_main_loop_thread_safe_call_sync.
  * examples/evas: Set a proper format string for fprintf
  * evas-drm: Set Magic on the Ecore_Evas
  * evas-drm: Fix configure.ac typo for drm hw accel argument
  * evas-drm: Call framebuffer_set earlier in the process so that the screen
    gets updated sooner.
  * evas-drm: Fix opening of drm card
  * evas-drm: Forgot to install the evas drm engine pkgconfig file
  * evas-drm: cleanup outbuf structure and functions
  * evas-drm: cleanup evas_engine code for drm sw engine
  * evas-drm: Add vsync/non-vsync support to evas_drm code
  * evas-drm: Ddd support for setting vsync with env variable.
  * Evas: Fix build issue when building without drm
  * ecore_avahi: @fix timeout to avoid pitfall of forever frozen timer.
  * evas-drm: Fix evas drawing delay for cedric
  * Evas filters: Avoid CRI message when using the GL engine
  * Evas filters: fix black squares with the GL engine
  * Evas filters: fix random cases of 'dancing text'
  * Evas filters: fix clip to target calculation
  * edje: fix edje_watch to not pass the '\n' to eio_monitor.
  * edje: let's allow to reset escaped text to NULL. (T821)
  * evas-drm: Don't call framebuffer set from within send function
  * evas-drm: Check buffer validity in swap function
  * evas-drm: Fix setting cached image alpha flag
  * ecore-evas-x: Fix resource leak from eina_str_split_full usage
    (CID1188012)
  * eo: memory waste at mixin class elaboration
  * Edje entry: fix bug preedit text is committed in the next entry when Tab
    key is pressed.
  * edje/edje_edit: fix part add bug
  * edje/edje_edit: Check for NULL
  * evas-drm: Remove hardware acceleration fields from engine structure
  * evas-drm: Add headers for hardware acceleration
  * ecore-drm: Add missing define
  * ecore-drm: Comment out Gbm Format
  * efl: Fix installing ecore-drm pkgconfig file
  * efl: Fix build with drm disabled
  * evas/fb: avoid crashing it outbuf setup failed.
  * evas: @fix convert to 24bits so dst_jump is used properly.
  * evas/fb: expose and call fb_freemode() and fb_cleanup()
  * ecore_fb: @fix use of uninitialized values reported by valgrind.
  * evas/fb: use stride instead of width.
  * eina: Fix bug in eina_convert_itoa (T1062)
  * edje/entry: fix to not emit "changed" signal in unnecessary cases of
    password mode.
  * edje: do not leak in case of error. (CID1191310, CID1191311)
  * evas-fb: Fix broken build of efl
  * ecore-drm: Initialize ecore_event on ecore_drm_init
  * edje - allow lager clipper space.
  * eina-cxx: Fixes compilation errors and warnings in clang
  * evas: Replace EINA_LIST_FOREACH_SAFE to while statement.
  * evas: @fix use the correct composite op on lines with pixman
  * Evas filters: Fix 1-D blurs on a single buffer
  * Evas filters: Fix memory leak when destroying the object
  * ecore-x: Predefine Ecore_X_Atom and Ecore_X_Icon
  * ecore-evas: Predefine Ecore_X_Atom and Ecore_X_Icon
  * evas: restore behavior of stack above and below when no rel is
    specified. (CID1191907, CID1191906)
  * Ecore x: Add back the two symbols removed in 1.9.
  * eet: fix tokenizer's escape logic.
  * Evas textblock: Don't include right margin/padding twice when aligning
    lines.
  * edje: check font change in edje text part cache infra.
  * edje/util: set flag to all_part_change when edje class member is added.
  * Evas cserve2: Fix client crashes when a file changed
  * Evas gl: Fix clip in image_draw if it's not set
  * ecore-drm: Fix ecore_drm_device_window_set to use an unsigned int
  * ecore-evas-drm: Fix setting of the ecore_evas property window and
    register the prop.window for events.
  * evas-drm: Fix engine to use the output's framebuffer as window id
  * ecore-wayland: Fix ecore_wl_init 'stalling' when used in a server
  * Eolian/Lexer: increase buffer length for .eo files
  * Eolian/Generator: Don't generate sub ids structure if not needed.
  * ecore-drm: Fix absolute motion coordinate calculation
  * edje_cc no longer fails on collections.group{}
  * edje_cc now correctly handles lack of state int in STATE_SET action
  * edje_cc also checks min args correctly for STATE_SET actions
  * Evas filters: fix potential memory leak
  * eio monitors no longer trigger a CRI error during free
  * edje_cc uses macros for some of its handler setup
  * evas/gl - fill up missed blend mode.
  * evas: Fixed warning for uninitialized variables
  * edje_cc now correctly handles group inheriting when the inherit is after
    a part/program
  * build: Disallow non-working sdl + opengl ES combination (T856)
  * Evas Textblock: increase ref of format before work
  * evas/proxy - redraw proxy source properly.
  * Eolian: move the beta API ifdef to cover all the H types and functions.
  * Eolian: fix virtual pure support.
  * Eolian/Lexer: fix function names parsing.
  * edje_cc: Fix the crash when compiled wrong edc file containing empty part
  * evas - fix incorrect object reset.
  * evas-drm: Add trapping for a canvas below framebuffer size
  * ecore-evas-drm: Add better support for ecore_evas_fullscreen_set
  * ecore-drm: Fix mouse wheel to not be inverted
  * emotion: fix memory leak
  * edje_cc: fix group inheriting with scripts. (group.script and
    .program.script)
  * ecore-evas - fix object cursor to not delete the same cursor when set
  * ecore_evas_extn: give proper event data to callbacks
  * ecore_evas_extn: fix doxygen sample
  * evas-drm: Default async page flip to false as this can cause tearing
  * evas-drm: Remove all async_page_flip options/references
  * ecore-con - deal with internal buffer growing over 2g in size
  * fix swap buffers with damage to not detect if ext str is not there
  * ecore-wl: Optimize opaque region setting for surface and reduce
    unnecessary calls to surface commit.
  * ecore-wl: Optimize setting of window input region
  * ecore-evas-wl: Reduce useless compositor redraws during render update and
    update input & opaque regions after resizing.
  * ecore_evas_extn: initialize server handle on server deletion
  * ecore_evas_extn: update plug image object after disconnection
  * Eo: eo_do now returns called func's value + default ret fix.
  * Fixed a problem with e wl server that sent invalid key value to wl client.
  * ecore-evas-wl: Ooops, Fix opaque & input regions being set to incorrect values
  * ecore-wl: Don't create an input cursor surface unless the input has
    pointer capability.
  * ecore-wl: Check for existance of data device manager
  * eo: fix broken children iterator, remove redundant fields.
  * ecore: Fixed se of EINA_MAIN_LOOP_CHECK_RETURN macros with functions with
    return types
  * emotion: fix triggering condition of fallback module loading (T1025)
  * edje now correctly forces ellipsis setting on text parts
  * emotion: play set before file open callback bug fix
  * emotion: use eina stringshare not strdup
  * configure: Only allow wayland + egl with opengl ES (T1202)
  * eldbus-codegen no longer passes garbage values to error callbacks
  * fix emotion_test signal emit object
  * evas-wayland-shm: Use XDG_RUNTIME_DIR if available for creating mmap'd
    buffer file.
  * evas-wayland-shm: Fix 'oopsie/typo' in temporary file name template
  * ecore-x - fix setting protocol atoms for icccm for 64bit
- add shebang.patch (add shebangs to python scripts to shut up rpmlint)
* Fri Apr 18 2014 simon@simotek.net
- Reenable luajit now its in factory
* Thu Apr 17 2014 simon@simotek.net
- We don't use XCB as with respect to enlightenment XCB is only
  useful in some embedded cases where openGL is not present
- Fedora doesn't support xine
* Wed Apr 16 2014 simon@simotek.net
- bump to 1.9.3
  * build: Disallow non-working sdl + opengl ES combination (T856)
  * evas/proxy - redraw proxy source properly.
  * edje_cc: Fix the crash when compiled wrong edc file containing empty part
  * evas - fix incorrect object reset.
  * ecore-evas - fix object cursor to not delete the same cursor when set
  * Evas cserve2: Fix crash in elm_test GLView
  * ecore-con - deal with internal buffer growing over 2g in size
  * fix swap buffers with damage to not detect if ext str is not there
* Sat Apr 12 2014 schwab@suse.de
- Only use valgrind when it exists
* Tue Apr  8 2014 simon@simotek.net
- bump to 1.9.2
  * Fixes 2 Api breaks introduced in 1.9.0
  * Evas filters: Fix 1-D blurs on a single buffer
  * Evas filters: Fix memory leak when destroying the object
  * Ecore x: Add back the two symbols removed in 1.9.
  * eet: fix tokenizer's escape logic.
  * edje: check font change in edje text part cache infra.
  * Evas cserve2: Fix client crashes when a file changed
  * Evas gl: Fix clip in image_draw if it's not set
  * edje_cc no longer fails on collections.group{}
  * edje_cc now correctly handles lack of state int in STATE_SET action
  * edje_cc also checks min args correctly for STATE_SET actions
  * Evas filters: fix potential memory leak
  * edje_cc uses macros for some of its handler setup
  * evas/gl - fill up missed blend mode.
* Wed Feb 26 2014 simon@simotek.net
- bump to 1.9.0
  * New Features
  * * Use GStreamer 1.0 instead of 0.10
  * * Evas Text filters
  * * ecore-avadhi
  * Many bugfixes
* Tue Jan 28 2014 simon@simotek.net
- Feedback from SR: 213817
  * conflicts with older efreet
  * efl-devel requires bullet which is not in factory yet
* Mon Jan 13 2014 simon@simotek.net
- Disable building man pages, they conflict with many other man pages
  /usr/share/evas/checkme is now in devel as it was in there in 1.7.*
* Fri Jan 10 2014 simon@simotek.net
- Minor bugfix release including fixing a api break (missing symbols)
* Fri Jan 10 2014 simon@simotek.net
- Disable physics module as bullet isn't in factory atm.
  Will re add it
* Wed Jan  1 2014 sleep_walker@suse.cz
- remove with_xlib and with_xcb again
* Sat Dec 21 2013 sleep_walker@suse.cz
- bump to 1.8.3
  Changes since 1.8.2:
  * evas: no loader should ever close an Eina_File anymore.
    (T674 and T668)
  * evas - tiler - fix missing clip of first rect to outbuf size
  * Evas textblock: Fixed range_deletion bug with multiple
    visible formats.
  * Evas test textblock: Added a test for a broken range_delete
    case.
  * emotion: revert to fast sed to use the right eina log domain.
  * eldbus: code generator struct members named "proxy" should not
    be passed to eina_value_free.
  * eldbus: make eldbus generated code not crash on every single
    generated vent
  * Evas textblock: Fixed deletion of ranges ending with visual
    formats.
  * Evas textblock: Added more range_delete tests.
  * emotion: use emotion log domain instead of eina one.
  * emotion: fix potential memory leak when webcam register fail.
  * emotion: lower warning on webcam access error to information
    (Not critical anyway).
  * evas - fix gif loader drop of image data sometimes (image
    dump/flush)
  * evas gif loader - address animated always being true
  * gif loader - handle theoretical NULL loader_data case
    autotools: let's try this variant for detecting c++ compiler
  * availability.
  * Evas tests: Add invalid markup test
  * Evas textblock: Fix crash with empty markups values
  * evas - fix gif loader cpu overuse - used too much cpu to
    decode anims
  * ecore_imf/wayland: Only call hide_input_panel on
    im_context_hide(). (T237)
  * autotools: work around buggy macro to force C++ compiler detection.
  * ecore_evas/wayland: Update withdrawn property, and inform
    state_changed.
  * Evas/cserve2: Fix crash during shutdown
  * Evas: Fix crash in GL engine(s) during preload cancel
  * Fix opaque windows becoming transparent after hide() then
    show(). (T611)
* Wed Dec 18 2013 sleep_walker@suse.cz
- XCB is unfortunatelly useless - get rid of it again
* Tue Dec 17 2013 sleep_walker@suse.cz
- few attempts to fix build against SLE_11_*
- disable XCB for Fedora 17 (doesn't have xcb-renderutil)
- added egl and glesv2 build dependencies
* Tue Dec 17 2013 sleep_walker@suse.cz
- create easy way to not build documentation (useful for pkg
  development as it takes most of time)
- specificaly use XCB for openSUSE new enough and for Fedoras,
  use Xlib for the rest
- fix example subpackage path (/usr/share/efl/examples/examples)
* Tue Dec 17 2013 sleep_walker@suse.cz
- autoreconf is really needed, put it back
* Tue Dec 17 2013 sleep_walker@suse.cz
- require bullet >=  2.80
- cleanup of commented code
* Sun Dec 15 2013 sleep_walker@suse.cz
- adding direct requirement of embryo in efl-devel, even though it
  is already required through edje package
- changing to pkgconfig dependencies wherever possible
- make the spec more organized
- properly escape percents in date command
* Sat Dec 14 2013 sleep_walker@suse.cz
- as there is edje and embryo subpackage, do not provide the symbol
  in efl
* Sat Dec 14 2013 sleep_walker@suse.cz
- separate embryo to subpackage
- edje requires embryo
- added last forgotten file to edje
* Sat Dec 14 2013 sleep_walker@suse.cz
- move also forgotten edje part
* Sat Dec 14 2013 sleep_walker@suse.cz
- fix URL
- separate edje_* commands to separate subpackage
- create examples subpackage
* Mon Dec  9 2013 simon@simotek.net
- efl 1.8.2 with some bug fixes and not much of a change log
* Mon Dec  2 2013 sleep_walker@suse.cz
- bump to 1.8.1 release
  Fixes:
  * Fixed build problem which named shared libs as "release".
* Fri Nov 22 2013 simon@simotek.net
- Create the first version from rev 140 in X11:Enlightenment:Nightly
